/*
Theme Name: aelita
Author: frankfurtwest
Author URI: https://www.frankfurtwest.com
Description: theme for aelita e.v.
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: aelita
*/
/* Campus Digitalarchiv */
:root {
  --fw--transition--25: all .25s ease-in-out;
  --fw--preset--border-radius: 9999px;
  --wp--preset--spacing--20: clamp(.2rem, 1vw, .4rem);
  --wp--preset--spacing--30: clamp(.28rem, 1.4vw, .56rem);
  --wp--preset--spacing--40: clamp(.36rem, 2vw, .72rem);
  --wp--preset--spacing--50: clamp(.48rem, 2.4vw, .96rem);
  --wp--preset--spacing--60: clamp(.8rem, 3.2vw, 1.28rem);
  --wp--preset--spacing--70: clamp(1rem, 4vw, 3.2rem);
  --wp--preset--spacing--80: clamp(1.25rem, 5vw, 4rem); }

:root * {
  box-sizing: border-box;
  /**/
  /**/ }
  :root *:focus, :root *:active {
    outline: none; }
  :root *:focus-visible {
    outline-style: solid;
    outline-color: var(--wp--preset--color--contrast);
    outline-width: .2rem;
    outline-offset: .2rem;
    border-radius: var(--fw--preset--border-radius) !important; }
  @media (max-width: 991) {
    :root *:focus, :root *:active {
      outline-style: solid;
      outline-color: var(--wp--preset--color--contrast);
      outline-width: .2rem;
      outline-offset: .2rem; } }
  :root * .has-contrast-background-color :focus-visible {
    outline-color: var(--wp--preset--color--base) !important; }
  @media (max-width: 991) {
    :root * .has-contrast-background-color:focus, :root * .has-contrast-background-color:active {
      outline-color: var(--wp--preset--color--contrast); } }

::selection {
  color: var(--wp--preset--color--base);
  background: var(--wp--preset--color--contrast); }

.has-contrast-background-color ::selection,
.has-contrast-background-color + .wp-block-cover__inner-container ::selection,
:has(.wp-block-cover__inner-container) .has-contrast-background-color
::selection {
  color: var(--wp--preset--color--contrast) !important;
  background: var(--wp--preset--color--base) !important; }

.wp-site-blocks > main {
  margin-block-end: 120px !important; }

.aelita::first-letter {
  letter-spacing: -.15em; }

/* Page Title * * * */
.wp-block-post-title {
  display: inline !important;
  color: var(--wp--preset--color--base) !important;
  box-shadow: inset 0 -1.025em var(--wp--preset--color--contrast) !important;
  padding-inline: .2rem;
  box-decoration-break: clone !important; }
  .wp-block-post-title a {
    color: var(--wp--preset--color--base) !important; }

/* fw classes * * * * */
.fw-display-flex {
  display: flex; }
  .fw-display-flex > div {
    display: flex; }

.fw-align-items-stretch {
  align-items: stretch; }
  .fw-align-items-stretch > div {
    align-items: stretch; }

/* Cover * * * * */
.wp-block-cover p, .wp-block-cover li, .wp-block-cover h2, .wp-block-cover h3, .wp-block-cover h4, .wp-block-cover h5, .wp-block-cover h6 {
  color: var(--wp--preset--color--contrast); }

/* Suche * * * * */
.wp-block-search__input {
  color: var(--wp--preset--color--contrast);
  border-radius: var(--fw--preset--border-radius);
  border: 1px solid var(--wp--preset--color--contrast);
  padding-inline: var(--wp--preset--spacing--70); }

/**/
/* Buttons * * * * */
.wp-block-button a.wp-block-button__link.wp-element-button {
  user-select: none;
  transition: var(--fw--preset--transition--25);
  transition: all .25s ease-in-out;
  border-width: 1px;
  border-style: solid !important; }
  .wp-block-button a.wp-block-button__link.wp-element-button svg {
    transform: translateX(-0.25em);
    transition: all .25s ease-in-out; }
  .wp-block-button a.wp-block-button__link.wp-element-button.small {
    padding: .2em .4em !important; }
  .wp-block-button a.wp-block-button__link.wp-element-button:hover, .wp-block-button a.wp-block-button__link.wp-element-button:focus, .wp-block-button a.wp-block-button__link.wp-element-button:active {
    background-color: var(--wp--preset--color--base) !important;
    color: var(--wp--preset--color--contrast) !important;
    border-color: var(--wp--preset--color--contrast) !important; }
    .wp-block-button a.wp-block-button__link.wp-element-button:hover svg, .wp-block-button a.wp-block-button__link.wp-element-button:focus svg, .wp-block-button a.wp-block-button__link.wp-element-button:active svg {
      transform: translateX(0); }
.wp-block-button.is-style-outline a.wp-block-button__link:hover, .wp-block-button.is-style-outline a.wp-block-button__link:focus, .wp-block-button.is-style-outline a.wp-block-button__link:active {
  background-color: var(--wp--preset--color--contrast) !important;
  color: var(--wp--preset--color--base) !important;
  border-color: var(--wp--preset--color--base) !important; }

.has-contrast-background-color .wp-block-paragraph,
.has-contrast-background-color + .wp-block-cover__inner-container .wp-block-paragraph {
  color: var(--wp--preset--color--base) !important; }
.has-contrast-background-color .wp-block-button a.wp-block-button__link.wp-element-button,
.has-contrast-background-color + .wp-block-cover__inner-container .wp-block-button a.wp-block-button__link.wp-element-button {
  background-color: var(--wp--preset--color--base) !important;
  color: var(--wp--preset--color--contrast) !important;
  border-color: var(--wp--preset--color--contrast) !important; }
  .has-contrast-background-color .wp-block-button a.wp-block-button__link.wp-element-button:hover, .has-contrast-background-color .wp-block-button a.wp-block-button__link.wp-element-button:focus, .has-contrast-background-color .wp-block-button a.wp-block-button__link.wp-element-button:active,
  .has-contrast-background-color + .wp-block-cover__inner-container .wp-block-button a.wp-block-button__link.wp-element-button:hover,
  .has-contrast-background-color + .wp-block-cover__inner-container .wp-block-button a.wp-block-button__link.wp-element-button:focus,
  .has-contrast-background-color + .wp-block-cover__inner-container .wp-block-button a.wp-block-button__link.wp-element-button:active {
    background-color: var(--wp--preset--color--contrast) !important;
    color: var(--wp--preset--color--base) !important;
    border-color: var(--wp--preset--color--base) !important; }
.has-contrast-background-color .wp-block-button.is-style-outline a.wp-block-button__link,
.has-contrast-background-color + .wp-block-cover__inner-container .wp-block-button.is-style-outline a.wp-block-button__link {
  background-color: var(--wp--preset--color--contrast) !important;
  color: var(--wp--preset--color--base) !important;
  border-color: var(--wp--preset--color--base) !important; }
  .has-contrast-background-color .wp-block-button.is-style-outline a.wp-block-button__link:hover, .has-contrast-background-color .wp-block-button.is-style-outline a.wp-block-button__link:focus, .has-contrast-background-color .wp-block-button.is-style-outline a.wp-block-button__link:active,
  .has-contrast-background-color + .wp-block-cover__inner-container .wp-block-button.is-style-outline a.wp-block-button__link:hover,
  .has-contrast-background-color + .wp-block-cover__inner-container .wp-block-button.is-style-outline a.wp-block-button__link:focus,
  .has-contrast-background-color + .wp-block-cover__inner-container .wp-block-button.is-style-outline a.wp-block-button__link:active {
    background-color: var(--wp--preset--color--base) !important;
    color: var(--wp--preset--color--contrast) !important;
    border-color: var(--wp--preset--color--contrast) !important; }

/**/
/* overlay * * * * */
.wp-block-navigation-overlay-close,
.wp-block-navigation__responsive-container-open {
  position: fixed;
  bottom: 46px;
  width: 60px;
  left: calc(50% - 30px);
  display: flex;
  justify-content: center;
  z-index: 4000; }

.wp-block-navigation-overlay-close {
  z-index: 20000; }
  .wp-block-navigation-overlay-close svg {
    width: 32px;
    height: 32px; }

.wp-block-navigation__responsive-container-open svg {
  transform: scaleX(1.5);
  transition: all .25s ease-in-out; }
.wp-block-navigation__responsive-container-open:hover svg, .wp-block-navigation__responsive-container-open:focus svg, .wp-block-navigation__responsive-container-open:active svg {
  transform: scaleX(1.75); }

/* footer * * * * */
.wp-site-blocks > footer {
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  height: 98px;
  z-index: 1111;
  background-image: linear-gradient(rgba(255, 255, 255, 0) 40%, rgba(255, 255, 255, 0.9) 80%, white); }
  .wp-site-blocks > footer .fw-footer {
    z-index: 1; }
    .wp-site-blocks > footer .fw-footer .fw-footer-bar {
      padding-inline: var(--wp--preset--spacing--60);
      background-color: rgba(255, 255, 255, 0.8);
      backdrop-filter: blur(12px);
      border-radius: var(--fw--preset--border-radius);
      border: 1px solid var(--wp--preset--color--contrast);
      max-width: 600px; }
      .wp-site-blocks > footer .fw-footer .fw-footer-bar > div {
        padding-block: 8px; }
        .wp-site-blocks > footer .fw-footer .fw-footer-bar > div .wp-block-site-title {
          font-size: 18px; }
  .wp-site-blocks > footer .fw-footer-legal {
    align-items: end;
    z-index: 0;
    margin-block-start: 9px; }
    .wp-site-blocks > footer .fw-footer-legal .wp-block-navigation-item__label {
      font-size: 16.8px; }
